Subject: Re: bug#3350: 23.0.93; Deactivation of region by the insert function

From: Lennart Borgman <[email-masked]>
Date: Fri, 22 May 2009 21:24:13 +0200

On Fri, May 22, 2009 at 9:10 PM, Stefan Monnier
<[email-masked]> wrote:
>> Then try activating the region with S-<arrow key>. This does not work.
>> However if the (insert ...) statement in msgtrc is commented out then
>> it works.
>
> That's because deativate-mark is a global variable, so
> a buffer-modification in one buffer is treated identically (w.r.t
> clearing the mark) as a modification in any other buffer.
>
>> I have not tested if this is a regression from Emacs 22.
>
> I don't think anything has changed in this regard.
> Just wrap the code in (let (deactivate-mark) ...)

Thanks, I see.  But it is pretty surprising ...

What is the reason that deactivate-mark is not buffer local?